﻿# Тест сервера сообщений

```
# заглушка для сервера (если нет своего)
node ./simple-server.js &

# собственно, клиент,
# который посылает корректные данные,
# но то сплитит на чанки рандомно, то тупо всё в один чанк собирает
node ./annoying-client.js
```

## Annoying client

* `Client ( callback )` -- конструктор
  * `callback` -- вызовется после подключения

* `messages ( array, oneChunk, callback )` -- послать набор сообщений,
  * `array` -- массив сообщений, одно сообщение -- либо
    * число с номером команды
    * массив с полями
  * `oneChunk` -- посылать всё в одном чанке (`если true`) или в разных (если `false`)
  * `callback` -- вызовется после цикла отправки/приёма

* `end ()` -- отключиться

```
var clnt = new Client (() => {
  clnt.messages([
    0,
    2,
    [[11, 'hello'], [22, 'world']]
  ], true, () => {
    clnt.messages([
      [[33, 'xxxxx'], [44, 'yy']],
      [[55, 'zzz'], [55, 'tttt']],
    ], false, () => {
      clnt.end();
    });
  });
});
```